<p align="center"><img src="images/gis4wrf.png"></p>

# GIS4WRF Documentation
This repository is used to document the [GIS4WRF Plug-in](https://github.com/GIS4WRF/gis4wrf) (Meyer and Riechert, 2018a, 2018b). GIS4WRF is a free and open source QGIS plug-in to help researchers and practitioners with their Advanced Research Weather Research and Forecasting modelling (Skamarock et al., 2008) workflows. GIS4WRF can be used to pre-process input data, run simulations and visualize or post-process results on Windows, Linux, and macOS.

## Table of Contents
- [Installation](#installation)
- [Getting Started with GIS4WRF](#getting-started-with-gis4wrf)
- [Contributing](#contributing)
- [Copyright and license](#copyright-and-licence)
- [How to cite GIS4WRF](#how-to-cite-gis4wrf)
- [References](#references)

## Installation
GIS4WRF requires the latest version of QGIS 3 installed on your system. Instructions on how to install QGIS for your operating system are found on the [QGIS download page](https://qgis.org/en/site/forusers/download.html). 

To install the latest version of GIS4WRF, download the latest version at https://github.com/GIS4WRF/gis4wrf/releases and install it using the QGIS `Plugins | Install from ZIP` window found in QGIS under `Plugins` > `Manage and Install Plugins...` > `Install from ZIP` as shown below. You may need to restart QGIS after installation is complete.

![QGIS Plugins | Install from ZIP](images/qgis_plugins_install_from_zip.png)

## Getting Started
For a quick overview on how to get started with GIS4WRF, and a description of components included, please see the [Getting Started with GIS4WRF page](docs/getting_started_with_gis4wrf.md).

## Contributing
If you would like to update the current documentation, clone this repository, make your changes, and create a pull request with a **clear description** of your changes. If your changes are merged, you will appear as one of our [Contributors](https://github.com/GIS4WRF/gis4wrf-docs/graphs/contributors).

## Copyright and Licence
Documentation copyright 2018 D. Meyer and M. Riechert.
Documentation released under [Creative Commons Attribution 4.0 International](LICENSE.txt).

## How to cite GIS4WRF
Please refer to the [How to cite the GIS4WRF Plug-in page](https://doi.org/10.5281/zenodo.1288569).

## References

```
Meyer, D., and M. Riechert (2018a). GIS4WRF: an integrated open source QGIS toolkit for the Advanced 
    Research WRF Framework. Manuscript submitted for publication.

Meyer, D., and M. Riechert (2018b). GIS4WRF (Version 0.8.0) [Software].

Skamarock, W. C., Klemp, J. B., Dudhia, J., Gill, D. O., Barker, D. M., Duda, M. G., Huang, X.-Y.,
    Wang, W. and Powers, J. G. (2008) ‘A Description of the Advanced Research WRF Version 3’,
    NCAR Technical Note NCAR/TN-475+STR, p. 113. doi: 10.5065/D68S4MVH.
```