## Table of Contents
- [Getting Started with GIS4WRF](#getting-started-with-gis4wrf)
- [Tabs](#tabs)
- [Menus](#menus)

## Getting Started with GIS4WRF

In GIS4WRF, features are grouped in a single container -- referred to as *dock* -- and a menu. The  dock is further subdivided into tabs and sub-tabs, each containing one or more features. Before you begin using GIS4WRF, there are a few options that you may want to check out. All GIS4WRF configuration options can be found under `QGIS` > `Settings` > `Options...` > `GIS4WRF` as shown in the figure below.

![Configuration Window](../images/qgis_options_gis4wrf.png)

### Setting the Working Directory 

The GIS4WRF working directory is used for storing Projects, downloaded datasets, and pre-compiled WRF/WPS distributions. The default working directory varies depending on your operating system. The table below shows the default working directory setting for Windows, macOS, and Linux.

| Operating System  | GIS4WRF Default Working Directory  |
|-------------------|------------------------------------|
| Windows           | `C:\Users\<USER>\Documents\gis4wrf`|
| macOS             | `/Users/<USER>/Documents/gis4wrf`  |
| Linux             | `/home/<USER>/gis4wrf`             |

Make sure that you have enough space and the correct permissions set for the GIS4WRF default working directory. The GIS4WRF working directory can be set to a different location.

### WPS/WRF Distributions
If you are looking to use GIS4WRF to run WPS and WRF programs you need to set the path to the WPS and WRF folder on your system. Alternatively, we currently support download of pre-compiled WPS and WRF distributions for Windows only configured for real cases (serial + basic domain) only.

### NCAR's Research Data Archive Integration

You can set your username and password to access the [NCAR's Research Data Archive](https://rda.ucar.edu/) through the [GIS4WRF Met data downloader](tab_datasets.md#met). If you do not have an account, you can register for one [here](https://rda.ucar.edu/index.html?hash=data_user&action=register).


## Tabs
The location and description of each tab and sub-tabs can be found in the table below.

| GIS4WRF Dock             | Description                                                            |
|--------------------------|------------------------------------------------------------------------|
| `Home`                   | Contains documents and tutorials                                       |
| `Datasets` > `Geo`       | Download WPS geographical datasets                                     |
| `Datasets` > `Met`       | Download meteorological datasets from NCAR's RDA                       |
| `Datasets` > `Process`   | Convert raster data (e.g.  GeoTIFF) into WPSgeographical datasets      |
| `Simulation` > `General` | Create or open GIS4WRF projects                                        |
| `Simulation` > `Domain`  | Create, import and export domains                                      |
| `Simulation` > `Data`    | Define geographical and meteorological datasets to use in simulation   |
| `Simulation` > `Run`     | Pre-populate, check and export namelists and run WPS and WRF programs  |
| `View`                   | Visualize and post-process WPS and WRF input or outputs                |

For a detailed description of each component, please refer to the following pages:

- [Datasets Tab](tab_datasets.md)
- [Simulation Tab](tab_simulation.md)
- [View Tab](tab_view.md)

## Menus
The location and description of each menu item can be found in the table below.

| QGIS Menu                                         | Description                                           |
|---------------------------------------------------|-------------------------------------------------------|
| `Plugins` > `GIS4WRF` > `GIS4WRF`                 | Launch GIS4WRF Dock                                   |
| `Plugins` > `GIS4WRF` > `About`                   | Contains changelog and third-party-license information|
| `Plugins` > `GIS4WRF` > `Report a bug`            | Links to GIS4WRF's issue system on GitHub             |
| `Layers` > `Add Layer` > `Add WRF NetCDF Layer...`| Loads a WRF-NetCDF dataset into QGIS                  |
| `Layers` > `Add Layer` > `Add WPS Binary Layer...`| Loads a WPS Binary dataset into QGIS                  |