# Dataset Tab

The *Datasets* tab is subdivided into three subtabs: *Geo*, *Met*, and *Process* 

## Geo
Select and download pre-converted Geogrid binary datasets to be used with Geogrid using the `Download Selected Datasets`. The Geogrid binary datasets are downloaded and saved in the [GIS4WRF working directory](getting_started_with_gis4wrf.md) under `GIS4WRF_WORKING_DIRECTORY/datasets/geog`.

![Geographical Datasets Tab](../images/tab_datasets_geo.png)


## Met
Download NCAR's datasets supported by WPS from [NCAR's Research Data Archive (RDA)](https://rda.ucar.edu/). A valid RDA account is required to use this utility and the username and password must be set in `QGIS` > `Settings` > `Options..` > `GIS4WRF` section -- for more info see [here](getting_started_with_gis4wrf.md).
Currently we support five common datasets as shown in the table below.

| Dataset ID                                        | Description                                           |
|---------------------------------------------------|-------------------------------------------------------|
| `ds083.0` | [NCEP FNL Operational Model Global Tropospheric Analyses, April 1997 through June 2007](https://rda.ucar.edu/datasets/ds083.0/) |
| `ds083.2` | [NCEP FNL Operational Model Global Tropospheric Analyses, continuing from July 1999](https://rda.ucar.edu/datasets/ds083.2/)|
| `ds083.3` | [NCEP GDAS/FNL 0.25 Degree Global Tropospheric Analyses and Forecast Grids](https://rda.ucar.edu/datasets/ds083.3/)|
| `ds084.1`  | [NCEP GFS 0.25 Degree Global Forecast Grids Historical Archive](https://rda.ucar.edu/datasets/ds084.1/)|
| `ds090.0`  | [NCEP/NCAR Global Reanalysis Products, 1948-continuing](https://rda.ucar.edu/datasets/ds090.0/)|

When the dataset name is selected, the available product names for the specific dataset become available. Start and end date and time are automatically restricted to the available periods for the specific dataset. Requests can be subsetted by clicking on the `subset` button. When the `Download` button is clicked, the request will be automatically sent to RDA and automatically downloaded when the download link becomes available (Note that if the request is large it may take a while before the data is downloaded). The data are downloaded and saved in the [GIS4WRF working directory](getting_started_with_gis4wrf.md) under `GIS4WRF_WORKING_DIRECTORY/datasets/met`.

![Meterological Datasets Tab](../images/tab_datasets_met.png)

## Process

Convert QGIS raster layers to WPS binary format data and open pre-existing WPS binary format datasets. The tool supports the conversion of of categorical and continuous data. 
