
# View Tab
WRF NetCDF datasets can be opened under  `QGIS` > `Layers` > `Add Layer` > `Add WRF NetCDF Layer...`. Variables included in WRF NetCDF datasets are shown as a list in the *View* tab. The time slider at the end of the list of variables provide a fast way to slice through different time stamps. For variables that include vertical levels, the `Vertical Level` dropdown menu will become selectable.

![View Tab](../images/tab_view.jpg)

## Integration with wrf-python
We currently provide the following additional features using wrf-python:

- Vertical Interpolation of Variables
- Generation of Derived Variables

### Vertical Interpolation of Variables
Currently we offer integration with the vertical interpolation functions provided by wrf-python. Vertical interpolation options can be selected by selecting the variable name and enabling the `Interpolate Vertical Level` check-box.

### Generation of Derived Variables
The following variables are derived using wrf-python:

|Variable Name | Description |
|--------|------|
|AVO|Absolute Vorticity|
|DBZ|Radar Reflectivity|
|ETH|Equivalent Potential Temperature|
|GEOPT|Geopotential for Mass Grid|
|HELICITY|Storm Relative Helicity|
|MDBZ|Maximum Radar Reflectivity|
|Omega||
|PVO|Potential Vorticity|
|PW|Precipitable Water|
|RH|Relative Humidity|
|RH2|Relative Humidity at 2 m|
|SLP|Sea Level Pressure|
|TC|Temperature|
|TD|Dew Point Temperature|
|TD2|Dew Point Temperature at 2 m|
|TH|Potential Temperature|
|TH2|Potential Temperature at 2 m|
|TK| Temperature|
|TV|Virtual Temperature|
|TWB|Wet Bulb Temperature|
|UA|U-component of Wind on Mass Points|
|VA|V-component of Wind on Mass Points|
|WA|W-component of Wind on Mass Points|
|Z|Model Hight|